Package org.apache.groovy.ast.tools

# Class AnnotatedNodeUtils

java.lang.Object
org.apache.groovy.ast.tools.AnnotatedNodeUtils

public class AnnotatedNodeUtils extends Object
Utility class for working with AnnotatedNodes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `hasAnnotation(AnnotatedNode node, ClassNode annotation)`
  `static boolean`
  `isGenerated(AnnotatedNode node)`
  `static <T extends AnnotatedNode>
  T`
  `markAsGenerated(ClassNode containingClass, T nodeToMark)`
  `static <T extends AnnotatedNode>
  T`
  `markAsGenerated(ClassNode containingClass, T nodeToMark, boolean skipChecks)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### markAsGenerated

    public static <T extends AnnotatedNode> T markAsGenerated(ClassNode containingClass, T nodeToMark)

  - ### markAsGenerated

    public static <T extends AnnotatedNode> T markAsGenerated(ClassNode containingClass, T nodeToMark, boolean skipChecks)

  - ### hasAnnotation

    public static boolean hasAnnotation(AnnotatedNode node, ClassNode annotation)

  - ### isGenerated

    public static boolean isGenerated(AnnotatedNode node)